#ifndef PPSSUMM_PRODUCTCLASS
#define PPSSUMM_PRODUCTCLASS

#include <string>
#include "Tracer.h"
#include "errstr.h"

class ProductClass
{
    public:
    ProductClass() : _productclass("") { }
    ProductClass(const std::string& v) : _productclass(v) { }
    ProductClass(const char* v) : _productclass(v) { }

    std::string get() const { return _productclass; }
    std::string set(const std::string& c) { std::string tmp = _productclass; _productclass = c ; return tmp; }
    friend ostream& operator<<( ostream& os , ProductClass c )
    {
	os << c._productclass;
	return os;
    }

    bool operator==( const ProductClass& c )
    {
	return _productclass == c._productclass;
    }
    bool operator<( const ProductClass& c )
    {
	return (_productclass < c._productclass);
    }
    private:
    std::string _productclass;
};

#endif

